Library import 006 (AB)

Tests XS0060 is raised, if @version on p:library is not 3.0.

Test ab-library-006.xml is expected to fail with error code err:XS0060.

The pipeline


      <p:declare-step xmlns:p="http://www.w3.org/ns/xproc" version="3.0">
         <p:import href="../pipelines/ab-library-006.xpl"/>
         <p:output port="result"/>
         
         <x:one xmlns:x="http://test" name="step1"/>
         <x:two xmlns:x="http://test" name="step2"/>
         
         <p:wrap-sequence wrapper="result">
            <p:with-input pipe="@step1 @step2"/>
         </p:wrap-sequence>
      </p:declare-step>
   
MorganaXProc passing XML Calabash failing

Revision history

24 Feb 2019, Achim Berndzen

Added new tests for p:declare-step and p:import.